Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.gotoandplay.smartfoxclient.handlers
Class SysHandler

    java.lang.Object
      it.gotoandplay.smartfoxclient.handlers.SysHandler

All Implemented Interfaces:
  IMessageHandler

    public class SysHandler

extends java.lang.Object
implements IMessageHandler

Constructor Summary
`SysHandler(SmartFoxClient sfs)`

Method Summary
`void` | `handleAdminMessage(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleApiKO(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleApiOK(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleASObject(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleJoinKo(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleJoinOk(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleLoginKo(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleLoginOk(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleLogout(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleMessage(java.lang.Object msgObj, java.lang.String type)`
`void` | `handleModMessage(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handlePrivateMessage(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handlePublicMessage(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleRoomList(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleRoomVarsUpdate(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleUserCountChange(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleUserEnterRoom(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleUserLeaveRoom(net.n3.nanoxml.IXMLElement xmlData)`
`void` | `handleUserVarsUpdate(net.n3.nanoxml.IXMLElement xmlData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SysHandler

    public SysHandler(SmartFoxClient sfs)

Method Detail

### handleMessage

    public void handleMessage(java.lang.Object msgObj,
                              java.lang.String type)

  Specified by:
    `handleMessage` in interface `IMessageHandler`

### handleApiOK

    public void handleApiOK(net.n3.nanoxml.IXMLElement xmlData)

### handleApiKO

    public void handleApiKO(net.n3.nanoxml.IXMLElement xmlData)

### handleLoginOk

    public void handleLoginOk(net.n3.nanoxml.IXMLElement xmlData)

### handleLoginKo

    public void handleLoginKo(net.n3.nanoxml.IXMLElement xmlData)

### handleLogout

    public void handleLogout(net.n3.nanoxml.IXMLElement xmlData)

### handleRoomList

    public void handleRoomList(net.n3.nanoxml.IXMLElement xmlData)

### handleUserCountChange

    public void handleUserCountChange(net.n3.nanoxml.IXMLElement xmlData)

### handleJoinOk

    public void handleJoinOk(net.n3.nanoxml.IXMLElement xmlData)

### handleJoinKo

    public void handleJoinKo(net.n3.nanoxml.IXMLElement xmlData)

### handleUserEnterRoom

    public void handleUserEnterRoom(net.n3.nanoxml.IXMLElement xmlData)

### handleUserLeaveRoom

    public void handleUserLeaveRoom(net.n3.nanoxml.IXMLElement xmlData)

### handlePublicMessage

    public void handlePublicMessage(net.n3.nanoxml.IXMLElement xmlData)

### handlePrivateMessage

    public void handlePrivateMessage(net.n3.nanoxml.IXMLElement xmlData)

### handleAdminMessage

    public void handleAdminMessage(net.n3.nanoxml.IXMLElement xmlData)

### handleModMessage

    public void handleModMessage(net.n3.nanoxml.IXMLElement xmlData)

### handleASObject

    public void handleASObject(net.n3.nanoxml.IXMLElement xmlData)

### handleRoomVarsUpdate

    public void handleRoomVarsUpdate(net.n3.nanoxml.IXMLElement xmlData)

### handleUserVarsUpdate

    public void handleUserVarsUpdate(net.n3.nanoxml.IXMLElement xmlData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD